aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLucas C. Villa Real <lucasvr@gmail.com>2018-07-02 11:03:05 -0300
committerLucas C. Villa Real <lucasvr@gmail.com>2018-07-02 11:03:05 -0300
commit753a8118d557e59062d6d310922295c561ac3e82 (patch)
treecb654fabb24d3f75787ac55c2a2f370e9b4cd765
parent46ea0ab524e0c751d486692972585e635327af79 (diff)
downloadThirdPartyInstallers-753a8118d557e59062d6d310922295c561ac3e82.tar.xz
Use the case-sensitive string when searching for the dependency under /Programs
-rwxr-xr-xbin/ThirdPartyInstaller11
1 files changed, 5 insertions, 6 deletions
diff --git a/bin/ThirdPartyInstaller b/bin/ThirdPartyInstaller
index 1aae10b..13b55e1 100755
--- a/bin/ThirdPartyInstaller
+++ b/bin/ThirdPartyInstaller
@@ -400,7 +400,7 @@ function lookup_pkgname() {
echo "$(basename $recipeurl | sed 's,\(.*\)--.*--.*,\1,g')" && return 0
fi
- # Query the remote RPM database for $pkgname
+ # Query the remote database for $pkgname
Log_Normal "Searching the remote $(thirdparty_backend) database for the package hosting $pkgname"
local arch=$(thirdparty_arch "$inputfile")
local distro=$(thirdparty_distribution_name "$inputfile")
@@ -411,8 +411,6 @@ function lookup_pkgname() {
echo "$depname" && return 0
fi
- # TODO Query the remote DEB database for $pkgname
-
return 1
}
@@ -543,10 +541,11 @@ then
do
depname=$(echo "$line" | awk {'print $1'})
depurl=$(echo "$line" | awk {'print $3'})
- if ! [ -d "$goboPrograms/$depname" ]
+ programname="$(GuessProgramCase $depname)"
+ if ! [ -d "$goboPrograms/$programname" ]
then
- Log_Normal "Installing dependency $depurl"
- $install_cmd -n "$depname" "$depurl"
+ Log_Normal "Installing dependency $depname from $depurl"
+ bash -c "$install_cmd -n $depname $depurl"
fi
done
fi